SetPlayerStartResources(1,0,0,0,0,0,0,0);
SetObjectEnabled("turma", nil);

function DIALOG()
StartAdvMapDialog(0);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "dialog", nil);
end;

Trigger(REGION_ENTER_AND_STOP_TRIGGER, "dialog", "DIALOG");
function m()
MessageBox("Maps/SingleMissions/Meeting/GRAVE.txt")
AddHeroCreatures("Nemor", 29,30);
Trigger(OBJECT_TOUCH_TRIGGER, "grave", nil);
end;

Trigger(OBJECT_TOUCH_TRIGGER, "grave", "m");
SetObjectEnabled("grave", nil);

function me()
MessageBox("Maps/SingleMissions/Meeting/ARENA.txt")
AddHeroCreatures("Nemor", 32,15);
Trigger(OBJECT_TOUCH_TRIGGER, "arena", nil);
end;

Trigger(OBJECT_TOUCH_TRIGGER, "arena", "me");
SetObjectEnabled("arena", nil);


function mes()
MessageBox("Maps/SingleMissions/Meeting/SAINT.txt")
AddHeroCreatures("Nemor", 34,10);
Trigger(OBJECT_TOUCH_TRIGGER, "saint", nil);
end;

Trigger(OBJECT_TOUCH_TRIGGER, "saint", "mes");
SetObjectEnabled("saint", nil);


function mess()
MessageBox("Maps/SingleMissions/Meeting/GRAVEPLACE.txt")
AddHeroCreatures("Nemor", 30,30);
Trigger(OBJECT_TOUCH_TRIGGER, "graveplace", nil);
end;

Trigger(OBJECT_TOUCH_TRIGGER, "graveplace", "mess");
SetObjectEnabled("graveplace", nil);


function messa()
MessageBox("Maps/SingleMissions/Meeting/TOMB.txt")
AddHeroCreatures("Nemor",39,5);
Trigger(OBJECT_TOUCH_TRIGGER, "tom", nil);
end;

Trigger(OBJECT_TOUCH_TRIGGER, "tom", "messa");
SetObjectEnabled("tom", nil);

function RegionUnblock()
QuestionBox("Maps/SingleMissions/Meeting/QUEST.txt", "Unblock")
end;
Trigger(OBJECT_TOUCH_TRIGGER, "hramovik", "RegionUnblock");

function Unblock()
if GetPlayerResource(1, GOLD)>=6000 then
AddHeroCreatures("Nemor", 41,3);
Trigger(OBJECT_TOUCH_TRIGGER, "hramovik", nil);
SetPlayerResource(1, GOLD, GetPlayerResource(1, GOLD)-6000)
MessageBox("Maps/SingleMissions/Meeting/Region unblocked.txt")
else
MessageBox("Maps/SingleMissions/Meeting/Not enough money!.txt")
end;
end;

function message1()
MessageBox("Maps/SingleMissions/Meeting/POD.txt")
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "pod", nil);
end;

Trigger(REGION_ENTER_AND_STOP_TRIGGER, "pod", "message1");

function message2()
MessageBox("Maps/SingleMissions/Meeting/PRADED.txt")
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "praded", nil);
end;

Trigger(REGION_ENTER_AND_STOP_TRIGGER, "praded", "message2");

function message3()
MessageBox("Maps/SingleMissions/Meeting/IMPERIA.txt")
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "imperia", nil);
end;

Trigger(REGION_ENTER_AND_STOP_TRIGGER, "imperia", "message3");

function message4()
MessageBox("Maps/SingleMissions/Meeting/VODA.txt")
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "voda", nil);
end;

Trigger(REGION_ENTER_AND_STOP_TRIGGER, "voda", "message4");

function message5()
MessageBox("Maps/SingleMissions/Meeting/TUT.txt")
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "tut", nil);
end;

Trigger(REGION_ENTER_AND_STOP_TRIGGER, "tut", "message5");